import { ConversationDelegate, ConversationFolderOptions, ConversationSelector } from "../types";
declare class ConversationViewModel {
    mSelectChatIds: string[];
    mUnSelectChatIds: string[];
    id: string;
    constructor(mSelectChatIds: string[], mUnSelectChatIds: string[]);
    static created(selector: ConversationSelector): ConversationViewModel;
    getView(): (props: {
        delegate?: ConversationDelegate | undefined;
    }) => JSX.Element;
    getUnReadCount(): number;
    updateSelector(selectAChatIds?: string[], unSelectAChatIds?: string[]): void;
    setFolder({ aChatId, name, imageData, content }: ConversationFolderOptions): void;
    removeFolder(aChatId: string): void;
}
export default ConversationViewModel;
